@ECHO OFF
REM -- file containing the global settings for the Gameboy C environment
REM
REM naming convention:
REM  - globally visible names are upper-case and underscore-separated
REM  - local names are lower-case, camel-cased


REM ---------------------------
REM - target root directories -
REM ---------------------------

REM -- the root of the complete installation target directories
SET installationRootDir=C:\temp\gameboy

REM -- the root directory of C include files
SET TARGET_INCLUDE_ROOT_DIR=%installationRootDir%\include

REM -- the root directory of C src files
SET TARGET_SOURCE_ROOT_DIR=%installationRootDir%\lib-src

REM -- the root directory of object files
SET TARGET_OBJECT_ROOT_DIR=%installationRootDir%\objects

REM --------------------
REM - support programs -
REM --------------------

REM -- the directory of the specific development tools
SET TOOLS_DIR=C:\Benutzer\Dr._Thomas_Tensi\Dokument\Quellen\C\GameBoy\tools

SET programDirectory=c:\Programme
SET binDirectory=%programDirectory%\Cygwin\bin

REM -- the path name of the copy program (CP)
SET CP_PROGRAM=CALL %TOOLS_DIR%\copyQuiet.bat

REM -- the path name of the GAWK program
SET GAWK_PROGRAM=%binDirectory%\gawk.exe

REM -- the path name of the directory creation program (MKDIR)
SET MKDIR_PROGRAM=MKDIR

REM -- the path name of the file movement program (MV)
SET MV_PROGRAM=MOVE

REM -- the path name of the file deletion program (RM)
SET RM_PROGRAM=CALL %TOOLS_DIR%\deleteQuiet.bat

REM -- the directory of the SDCC compiler
SET SDCC_PATH=%programDirectory%\Programmierung\Gameboy\gbdk

REM ---------------------------
REM - configuration variables -
REM ---------------------------

REM -- this variable selects either English or German as the game
REM -- language compiled into the executable
SET TARGET_LANGUAGE_IS_ENGLISH=true

REM -- tells whether assembly list files should be kept in objects
REM -- directory
SET KEEP_LIST_FILES=true

REM --------------------
REM - library settings- 
REM --------------------

REM -- the library paths and files for SDCC
SET SDCC_LIBRARIES=-k%TARGET_OBJECT_ROOT_DIR%\gbextended -lgbext.lib
SET SDCC_LIBRARIES=%SDCC_LIBRARIES% -k%TARGET_OBJECT_ROOT_DIR%\gb -lgb.lib
SET SDCC_LIBRARIES=%SDCC_LIBRARIES% -k%TARGET_OBJECT_ROOT_DIR%\gbz80
SET SDCC_LIBRARIES=%SDCC_LIBRARIES% -lgbz80.lib

REM -- the main object file for SDCC containing the base RTS (like
REM -- crt.o in some appropriate path)
SET SDCC_STANDARD_OBJECTS=%TARGET_OBJECT_ROOT_DIR%\gb\crt0.o
